zenilib: FT_StreamRec_ Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Attributes | List of all members
FT_StreamRec_ Struct Reference

`#include <ftsystem.h>`

## Public Attributes

unsigned char * | base
FT_Stream_CloseFunc | close
unsigned char * | cursor
FT_StreamDesc | descriptor
unsigned char * | limit
FT_Memory | memory
FT_StreamDesc | pathname
unsigned long | pos
FT_Stream_IoFunc | read
unsigned long | size

## Detailed Description

Definition at line 321 of file ftsystem.h.

## Member Data Documentation

unsigned char* FT_StreamRec_::base

Definition at line 323 of file ftsystem.h.

FT_Stream_CloseFunc FT_StreamRec_::close

Definition at line 330 of file ftsystem.h.

unsigned char* FT_StreamRec_::cursor

Definition at line 333 of file ftsystem.h.

Referenced by _tt_check_patents_in_range(), cff_encoding_load(), cff_index_load_offsets(), cff_subfont_load(), check_type1_format(), cid_read_subrs(), fnt_face_get_dll_font(), parse_afm(), pfr_face_get_kerning(), pfr_glyph_load_rec(), T1_Read_PFM(), TT_Access_Glyph_Frame(), and TT_Load_Composite_Glyph().

FT_StreamDesc FT_StreamRec_::descriptor

Definition at line 327 of file ftsystem.h.

unsigned char* FT_StreamRec_::limit

Definition at line 334 of file ftsystem.h.

Referenced by cff_subfont_load(), fnt_face_get_dll_font(), parse_afm(), T1_Read_PFM(), and TT_Access_Glyph_Frame().

FT_Memory FT_StreamRec_::memory

Definition at line 332 of file ftsystem.h.

Referenced by _bdf_readstream(), cff_charset_done(), cff_charset_load(), cff_encoding_load(), cff_index_done(), cff_index_init(), cff_index_load_offsets(), FT_Stream_New(), load_format_20(), load_format_25(), main(), sfnt_open_font(), T1_Get_Private_Dict(), T1_Read_PFM(), and tt_face_free_hdmx().

FT_StreamDesc FT_StreamRec_::pathname

Definition at line 328 of file ftsystem.h.

Referenced by FT_Stream_New().

unsigned long FT_StreamRec_::pos

Definition at line 325 of file ftsystem.h.

Referenced by pcf_get_bitmaps(), and pcf_seek_to_table_type().

FT_Stream_IoFunc FT_StreamRec_::read

Definition at line 329 of file ftsystem.h.

unsigned long FT_StreamRec_::size

Definition at line 324 of file ftsystem.h.

Referenced by cff_index_access_element(), check_table_dir(), cid_hex_to_binary(), fnt_face_get_dll_font(), FNT_Face_Init(), parse_afm(), and sfnt_open_font().

The documentation for this struct was generated from the following file:

- zenilib/jni/external/freetype2/include/freetype/ftsystem.h